System Requirements for D5 Render

Key words: Hardware | System Requirements

D5 Render adopts real-time ray tracing technology, which has minimum requirements for graphics cards and system configuration. When D5 Render is launched for the first time, it will automatically check whether your computer meets the minimum requirements.

Minimum requirement: Nvidia GTX 1060, Intel Arc 3, AMD RX 6400

D5 Render’s real-time raytracing technology is built on DXR of Windows systems, and the current graphics cards that support DXR can be checked on NVIDIA, AMD, Intel.

Please upgrade the graphics card driver to the latest version

Graphics driver updates usually fix certain bugs, or optimize certain algorithms for the hardware.

D5 team works with the NVIDIA technical team to maximize the potential of RTX. Timely driver updates to ensure maximum performance can prevent D5 Render from crashing due to low driver versions.

Please upgrade your system to Windows 10 v1809 or higher

D5 Render’s real-time raytracing technology is built on DXR of Windows systems, and Windows systems have supported DX12 since Windows 10 v1809.

  • For system upgrade you can refer to Download Windows 10

    • If it’s already Windows 10, you can click “Update Now”.

    • If it’s not Windows 10 system, upgrading to Windows 10 is recommended.

NOTE: NVIDIA 531.14 and above graphics drivers are not compatible with Windows 10 v1909 and below, which will cause D5 to crash.

Recommendation: Update the system version to 21H2 and above. Click to download the update tool to update.


FAQs

1. Why can not pass the hardware detection after updating to 2.5?

  1. Graphics Card Driver:

Please refer to the specifics: How to view and upgrade graphics card driver?

  1. Windows version:

Due to the situation that "NVIDIA 531.14 and above graphics card drivers are not compatible with Windows 10 v1909 and below, which will cause D5 to get stuck", D5 version 2.5 optimizes the limitation of hardware detection and restricts the system version of devices using 531 and later versions of drivers. D5 version 2.5 optimizes the limitations of hardware detection and restricts the system version of devices using driver versions after 531.

In this case, the minimum Windows version is 10.0.19044 (win10 21H2).

In case of failed detection, you can use the update tool below.

2. Why does D5 2.7 stuck at the loading window?

D5 2.7 requires the NVIDIA driver above 527.27 to open scene files.

Windows 10 1090 and lower systems with the latest driver will cause D5 to crash. Please upgrade the system to 21H2 or above versions.

3. Does D5 support the cooperation of multiple graphics cards?

Currently, D5 primarily utilizes Dedicated GPU memory and does not support multi-graphics card parallel/interconnected operation. Therefore, it is advisable to keep one graphics card which is at a high level of performance.

Last updated